/*
* JBoss, the OpenSource J2EE webOS
*
* Distributable under LGPL license.
* See terms of license at gnu.org.
*/
package org.jboss.test.jbossnet.servicename;

import junit.framework.Test;
import org.jboss.test.JBossTestCase;

/**
 * [ 1065038 ] Axis service name cannot contain forward slash
 *
 * @author Thomas.Diesler@jboss.org
 * @version $Revision: 1.1.2.2 $
 */
public class ServiceNameTestCase extends JBossTestCase
{
   public ServiceNameTestCase(String name)
   {
      super(name);
   }

   public void testHelloString() throws Exception
   {
      HelloBeanServiceLocator locator = new HelloBeanServiceLocator();
      HelloBean port = locator.getHello();
      Greeting ret = port.sayHello();
      assertEquals("Hello !!!", ret.getGreeting());
   }

   /** Deploy the test ear */
   public static Test suite() throws Exception
   {
      return getDeploySetup(ServiceNameTestCase.class, "jbossnet-servicename.ear");
   }
}
